Subject: Re: bug#45836: cups-service-type duplicates lp group

From: Leo Prikler <[email-masked]>
Date: Wed, 13 Jan 2021 13:06:56 +0100

Hi Ludo,

Am Mittwoch, den 13.01.2021, 12:28 +0100 schrieb Ludovic Courtès:
> Hi Leo,
> 
> Leo Prikler <[email-masked]> skribis:
> 
> > it has come to my attention due to the recent reporting of #45830
> > and
> > some conversation in IRC, that cups-service-type adds an lp group,
> > which is already defined in %base-groups.  Since both share the
> > same
> > definition, this is not too big an issue, but it prohibits us from
> > using a hard error for #45770.
> > 
> > I can currently think of two solutions: Either remove the lp group
> > from
> > cups-service-type or remove it from base-groups.  Neither sounds
> > particularly awesome.  Perhaps we could also delete identical
> > duplicates before asserting that there are none for #45770, but
> > that
> > sounds like a little much effort.  Any ideas how else to solve
> > this?
> 
> I’d be pragmatic here:
> 
>   1. Ignore duplicates that are identical (don’t report them).
Is that still not a problem, because either definition could change?

>   2. Remove “lp” from %base-groups since it has no use without CUPS
>      (right?).
That's probably true, but I fear, that some have already added "lp" to
their config.scm.  Would that cause issues?  We could also add CUPS to
%base-services or %desktop-services in some way, but that would
probably cause issues with configurations, that already have it.

Regards,
Leo